@charset "utf-8";

* {
  margin: 0;
  padding: 0;
}

.btn {
	padding: .215rem .75rem !important;
    font-size: 0.8rem !important;
}

@media print {
  .print-only { display: inline-block;}
}
@media screen {
  .print-only { display: none; }
}

pre {
	font-family:Roboto, sans-serif;
	font-size: 1.0em;
	letter-spacing: -0.06em;
	color: #232327;
}

table {
    border: 0;
    cellspacing: 0;
    cellpadding: 0;
    font-size:90%;
}

table.type01 {
  border-collapse: collapse;
  text-align: left;
  line-height: 1.5;
}
table.type01 thead th {
  padding: 10px;
  font-weight: bold;
  vertical-align: top;
  color: #369;
  border-bottom: 3px solid #036;
}
table.type01 tbody th {
  padding: 10px;
  font-weight: bold;
  vertical-align: top;
  border-bottom: 1px solid #ccc;
  background: #f3f6f7;
}
table.type01 td {
  padding: 10px;
  vertical-align: top;
  border: 1px solid #ccc;
}

/* loading TypeB */
.loading-wrap {
    position: fixed;
    width: 100%;
    height: 100%;
    left:0;
    top:0;
    z-index: 10000;
    /* background-color: rgba(255, 255, 255, .4); */
    /* background-color: rgba(250, 250, 252, 1);
    backdrop-filter: blur(3px); */
}

.loading-wrap::before {
    content:"";
    display: block;
    width: 180px;
    height: 180px;
    border-radius: 32px;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
    background: #fff url('/type/common/img/loading_mbz.gif') 50% 50% no-repeat;
    box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.12);
}

.loading-wrap-02 {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 10000;
    background-color: rgba(255, 255, 255, 0.3); /* 반투명 배경 */
    backdrop-filter: blur(2px); /* 블러 효과 추가 */
    display: flex; /* 중앙 정렬을 위해 플렉스 사용 */
    justify-content: center; /* 수평 중앙 정렬 */
    align-items: center; /* 수직 중앙 정렬 */
    flex-direction: column; /* 세로 방향으로 배열 */
}
.loading-image {
    width: 180px;
    height: 180px;
    border-radius: 32px;
    background: #fff url('/type/common/img/loading_mbz.gif') 50% 50% no-repeat;
    box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.12); /* 그림자 추가 */
}
.loading-text {
    margin-top: 20px; /* 이미지와 텍스트 사이의 간격 조정 */
    color: #fd7e14; /* 텍스트 색상 변경 */
    font-size: 24px; /* 텍스트 크기 */
    font-weight: bold; /* 텍스트 두께 */
    text-align: center; /* 텍스트 중앙 정렬 */
    z-index: 10001; /* 로딩 이미지보다 위에 표시되도록 설정 */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5); /* 텍스트 그림자 추가 */
}
.loading-dots {
    display: inline-flex; /* 인라인 플렉스로 설정 */
}

.dot {
    display: inline-block; /* 인라인 블록으로 설정 */
    animation: moveDot 1s infinite; /* 애니메이션 적용 */
}

.dot:nth-child(1) {
    animation-delay: 0s; /* 첫 번째 점은 즉시 */
}

.dot:nth-child(2) {
    animation-delay: 0.2s; /* 두 번째 점은 0.2초 늦게 */
}

.dot:nth-child(3) {
    animation-delay: 0.4s; /* 세 번째 점은 0.4초 늦게 */
}

@keyframes moveDot {
    0%, 100% {
        transform: translateY(0); /* 원래 위치 */
    }
    50% {
        transform: translateY(-10px); /* 위로 이동 */
    }
}